Bug 1276332 - (CVE-2015-8789) CVE-2015-8789 libebml: Use-after-free vulnerability in EblMaster::Read()
CVE-2015-8789 libebml: Use-after-free vulnerability in EblMaster::Read()
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20151020,repor...
: Security
: CVE-2016-1515 (view as bug list)
Depends On: 1276336 1276337
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-29 09:32 EDT by Adam Mariš
Modified: 2017-01-13 05:13 EST (History)
7 users (show)

See Also:
Fixed In Version: libebml 1.3.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2015-10-29 09:32:20 EDT
When the parser encountered a deeply nested element with an infinite size then a following element of an upper level was not propagated correctly. Instead the element with the infinite size was added into the EBML element tree a second time resulting in memory access after freeing it and multiple attempts to free the same memory address during destruction.

Upstream patch:

https://github.com/Matroska-Org/libebml/commit/88409e2a94dd3b40ff81d08bf6d92f486d036b24
Comment 1 Adam Mariš 2015-10-29 09:38:21 EDT
Created libebml tracking bugs for this issue:

Affects: fedora-all [bug 1276336]
Affects: epel-all [bug 1276337]
Comment 2 Andrej Nemec 2016-02-01 03:35:49 EST
Added CVE according to http://www.cvedetails.com/cve/CVE-2015-8789/
Comment 3 Dominik 'Rathann' Mierzejewski 2017-01-13 05:13:56 EST
*** Bug 1412632 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.